TICKIT_RECT_CONTAINS(3)

NAME
tickit_rect_contains - test if one rectangle entirely contains another

SYNOPSIS
    #include <tickit.h>

    bool tickit_rect_contains(const TickitRect *large, const TickitRect *small);

Link with -ltickit.

DESCRIPTION
tickit_rect_contains() tests whether the rectangle given by large entirely contains the rectangle given by small.

RETURN VALUE
tickit_rect_contains() returns a boolean value.

SEE ALSO
tickit_rect_init_sized(3), tickit_rect_init_bounded(3), tickit_rect_intersects(3), tickit_rect(7), tickit(7)